#### Linux From Scratch - Version 7.9

### Chapter 6. Installing Basic System Software

- Prev

  Psmisc-22.21

- Next

  E2fsprogs-1.42.13

- Up
- Home

# 6.27. Procps-ng-3.3.11

The Procps-ng package contains programs for monitoring processes.

Approximate build time: 0.1 SBU
Required disk space: 14.5 MB

## 6.27.1. Installation of Procps-ng

Now prepare procps-ng for compilation:

    ./configure --prefix=/usr                            \
                --exec-prefix=                           \
                --libdir=/usr/lib                        \
                --docdir=/usr/share/doc/procps-ng-3.3.11 \
                --disable-static                         \
                --disable-kill

The meaning of the configure options:

`--disable-kill`

  This switch disables building the kill command that will be installed by the Util-linux package.

Compile the package:

    make

The test suite needs some custom modifications for LFS. Remove the test that fails when scripting does not use a tty device. To run the test suite, run the following commands:

    sed -i -r 's|(pmap_initname)\\\$|\1|' testsuite/pmap.test/pmap.exp
    make check

Install the package:

    make install

Finally, move essential libraries to a location that can be found if `/usr` is not mounted.

    mv -v /usr/lib/libprocps.so.* /lib
    ln -sfv ../../lib/$(readlink /usr/lib/libprocps.so) /usr/lib/libprocps.so

## 6.27.2. Contents of Procps-ng

Installed programs: free, pgrep, pidof, pkill, pmap, ps, pwdx, slabtop, sysctl, tload, top, uptime, vmstat, w, and watch
Installed library: libprocps.so
Installed directories: /usr/include/proc and /usr/share/doc/procps-ng-3.3.11

### Short Descriptions

free | Reports the amount of free and used memory (both physical and swap memory) in the system
pgrep | Looks up processes based on their name and other attributes
pidof | Reports the PIDs of the given programs
pkill | Signals processes based on their name and other attributes
pmap | Reports the memory map of the given process
ps | Lists the current running processes
pwdx | Reports the current working directory of a process
slabtop | Displays detailed kernel slap cache information in real time
sysctl | Modifies kernel parameters at run time
tload | Prints a graph of the current system load average
top | Displays a list of the most CPU intensive processes; it provides an ongoing look at processor activity in real time
uptime | Reports how long the system has been running, how many users are logged on, and the system load averages
vmstat | Reports virtual memory statistics, giving information about processes, memory, paging, block Input/Output (IO), traps, and CPU activity
w | Shows which users are currently logged on, where, and since when
watch | Runs a given command repeatedly, displaying the first screen-full of its output; this allows a user to watch the output change over time
`libprocps` | Contains the functions used by most programs in this package

- Prev

  Psmisc-22.21

- Next

  E2fsprogs-1.42.13

- Up
- Home